Name:             ibus-table
Version:          1.1.0.20090610
Release:          4%{?dist}
Summary:          The Table engine for IBus platform
License:          LGPLv2+
Group:            System Environment/Libraries
URL:              http://code.google.com/p/ibus/
# source filename specified for rollback
#Source0:          http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source0:          http://ibus.googlecode.com/files/%{name}-1.1.0.20090316.tar.gz
Patch0:           ibus-table-1.1.0.20090316-1.bz490396.no_speedmeter.patch
Patch1:           ibus-table-1.1.0.20090316-4.candidate_order.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
BuildRequires:    ibus-devel > 1.1.0
BuildRequires:    autoconf >= 2.63
BuildRequires:    automake >= 1.10.1
BuildRequires:    gettext >= 0.17
BuildRequires:    cvs
Requires:         ibus > 1.1.0
Obsoletes:        ibus-table-chinese < 1.1.0

%description
The package contains general Table engine for IBus platform.

%package additional
Summary:    Additional tables for general table engine of IBus
Group:      System Environment/Libraries
Requires:   %{name} = %{version}-%{release}

%description additional
This package contains additional tables.

%prep
# directory specified for rollback
%setup -q -n ibus-table-1.1.0.20090316
%patch0 -p1
%patch1 -p1

%build
./autogen.sh --disable-static --enable-additional --prefix=%{_prefix}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install pkgconfigdir=%{_datadir}/pkgconfig

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post additional
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/compose.db
ibus-table-createdb -i -n %{_datadir}/ibus-table/tables/latex.db

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/tables
%dir %{_datadir}/%{name}/data
%dir %{_datadir}/%{name}/engine
%dir %{_datadir}/%{name}/icons
# commented our for rollback
#%dir %{_datadir}/%{name}/setup
#%{_libexecdir}/ibus-setup-table
%{_libexecdir}/ibus-engine-table
%{_bindir}/%{name}-createdb
%{_datadir}/%{name}/tables/template.txt
%{_datadir}/%{name}/data/pinyin_table.txt.bz2
%{_datadir}/ibus/component/table.xml
%{_datadir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/engine/factory.py
%{_datadir}/%{name}/engine/factory.pyc
%{_datadir}/%{name}/engine/factory.pyo
%{_datadir}/%{name}/engine/main.py
%{_datadir}/%{name}/engine/main.pyc
%{_datadir}/%{name}/engine/main.pyo
%{_datadir}/%{name}/engine/speedmeter.py
%{_datadir}/%{name}/engine/speedmeter.pyc
%{_datadir}/%{name}/engine/speedmeter.pyo
%{_datadir}/%{name}/engine/tabcreatedb.py
%{_datadir}/%{name}/engine/tabcreatedb.pyc
%{_datadir}/%{name}/engine/tabcreatedb.pyo
%{_datadir}/%{name}/engine/tabdict.py
%{_datadir}/%{name}/engine/tabdict.pyc
%{_datadir}/%{name}/engine/tabdict.pyo
%{_datadir}/%{name}/engine/table.py
%{_datadir}/%{name}/engine/table.pyc
%{_datadir}/%{name}/engine/table.pyo
%{_datadir}/%{name}/engine/tabsqlitedb.py
%{_datadir}/%{name}/engine/tabsqlitedb.pyc
%{_datadir}/%{name}/engine/tabsqlitedb.pyo
%{_datadir}/%{name}/icons/%{name}.svg
%{_datadir}/%{name}/icons/full-letter.svg
%{_datadir}/%{name}/icons/full-punct.svg
%{_datadir}/%{name}/icons/half-letter.svg
%{_datadir}/%{name}/icons/half-punct.svg
%{_datadir}/%{name}/icons/onechar.svg
%{_datadir}/%{name}/icons/phrase.svg
%{_datadir}/%{name}/icons/py-mode.svg
%{_datadir}/%{name}/icons/tab-mode.svg
%{_datadir}/%{name}/icons/chinese.svg
%{_datadir}/%{name}/icons/dcommit.svg
%{_datadir}/%{name}/icons/english.svg
%{_datadir}/%{name}/icons/cb-mode.svg
%{_datadir}/%{name}/icons/sc-mode.svg
%{_datadir}/%{name}/icons/scb-mode.svg
%{_datadir}/%{name}/icons/tc-mode.svg
%{_datadir}/%{name}/icons/tcb-mode.svg
%{_datadir}/%{name}/icons/ncommit.svg
# commented out for rollback
#%{_datadir}/%{name}/setup/main.py
#%{_datadir}/%{name}/setup/main.pyc
#%{_datadir}/%{name}/setup/main.pyo
#%{_datadir}/%{name}/setup/setup.glade

%files additional
%defattr(-,root,root,-)
%{_datadir}/%{name}/tables/compose.db
%{_datadir}/%{name}/tables/latex.db
%{_datadir}/%{name}/icons/compose.svg
%{_datadir}/%{name}/icons/latex.svg

%changelog
* Mon Jun 15 2009 Caius 'kaio' Chance <kATkaioDOTme> - 1.1.0.20090610-4.fc10
- Fixed candidate order.

* Fri Jun 12 2009 Caius 'kaio' Chance <kATkaioDOTme> - 1.1.0.20090610-3.fc10
- Rebuilt.

* Fri Jun 12 2009 Caius 'kaio' Chance <kATkaioDOTme> - 1.1.0.20090610-2.fc10
- Rollback to 1.1.0.20090316.

* Wed Jun 10 2009 Caius 'kaio' Chance <kATkaioDOTme> - 1.1.0.20090610-1.fc10
- Updated to upstream release.

* Tue Jun 09 2009 Caius 'kaio' Chance <kATkaioDOTme> - 1.1.0.20090609-2.fc10
- Rebuilt.

* Tue Jun 09 2009 Caius 'kaio' Chance <kATkaioDOTme> - 1.1.0.20090609-1.fc10
- Updated to upstream release.

* Wed May 27 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090527-1.fc10
- Updated upstream source from upstream.

* Thu May 21 2009 Caius 'kaio' Chance <cchance@redhat.com> - 1.1.0.20090316-2.fc10
- Obsoleted ibus-table-chinese for ibus-table-{cangjie,wubi,erbi,yong}.

* Mon Mar 16 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090316-1.fc11
- Resolves: rhbz#490396
- Updated source tarball.
- Disabled speedmeter until config option is implemented.

* Fri Mar  6 2009 Jens Petersen <petersen@redhat.com> - 1.1.0.20090220-5
- make pkgconfig noarch with ibus-table-pkgconfig-noarch.patch
- fix license field: actually LGPL
- drop gettext-devel BR
- require ibus > 1.1.0

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-4.fc11
- Rebuilt.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-3.fc11
- Rebuilt.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-2.fc11
- Rebuilt.

* Mon Mar 02 2009 Caius Chance <cchance@redhat.com> - 1.1.0.20090220-1.fc11
- Resolves: rhbz#484650
- Updated to latest upstream release.
- Splitted chinese input methods into modules.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1.20081014-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Caius Chance <cchance@redhat.com> - 0.1.1.20081014-4
- Resolves: rhbz#466430 rhbz#466844
- Added wildcard features.
- Added preedit clearance on refocus.

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.1.1.20081014-3
- Rebuild for Python 2.6

* Mon Dec 1 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20081014-2
- Modified spec file to own all directories created by ibus-table.

* Fri Oct 14 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20081014-1
- Update to 0.1.1.20081014.

* Mon Sep 01 2008 Peng Huang <shawn.p.huang@gmail.com> - 0.1.1.20080901-1
- Update to 0.1.1.20080901.

* Wed Aug 19 2008 Yu Yuwei <acevery@gmail.com> - 0.1.1.20080829-1
- The first version.
